# The (empty) main package is arch, to have the package built and tests run
# on all arches, but the actual result package is the noarch -devel subpackge.
# Debuginfo packages are disabled to prevent rpmbuild from generating an empty
# debuginfo package for the empty main package.
%global debug_package %{nil}

%global commit b23437e61a07

Name:           eigen2
Epoch:          1
Version:        2.0.17
Release:        10%{?dist}
Summary:        Obsolete version of the eigen vector and matrix math C++ template library

License:        GPLv2+ or LGPLv3+
URL:            http://eigen.tuxfamily.org/index.php?title=Main_Page
# Source file is at: http://bitbucket.org/eigen/eigen/get/%%{version}.tar.bz2
# Renamed source file so it's not just a version number
Source0:        eigen-%{version}.tar.bz2

# Fix build failure:
# - Add missing return type
# - Fix doc target
# - Fix invalid attribute syntax
Patch0:         eigen_ftbfs.patch

BuildRequires:  atlas-devel
BuildRequires:  gsl-devel
BuildRequires:  suitesparse-devel
BuildRequires:  gcc-gfortran
BuildRequires:  sparsehash-devel
BuildRequires:  SuperLU-devel
BuildRequires:  qt4-devel
BuildRequires:  metis-devel

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  tex(latex)

%description
WARNING: eigen2 is obsolete, please use eigen3 instead.
C++ template library for vector and matrix math.


%package devel
Summary:        A lightweight C++ template library for vector and matrix math

BuildArch:      noarch
# -devel subpkg only atm, compat with other distros
Provides:       %{name} = %{epoch}:%{version}-%{release}
# not *strictly* a -static pkg, but the results are the same
Provides:       %{name}-static = %{epoch}:%{version}-%{release}
Requires:       cmake

%description devel
WARNING: eigen2 is obsolete, please use eigen3 instead.
Development headers for Eigen2.


%package doc
Summary:        Developer documentation for Eigen
Requires:       %{name}-devel = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description doc
WARNING: eigen2 is obsolete, please use eigen3 instead.
Developer documentation for Eigen2.


%prep
%autosetup -p1 -n eigen-eigen-%{commit}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%cmake -DEIGEN_BUILD_TESTS:BOOL=ON ..
popd
%make_build -C %{_target_platform}
%make_build doc -C %{_target_platform}


%install
%make_install -C %{_target_platform}


%check
make -C %{_target_platform} test || :


%files devel
%license COPYING COPYING.LESSER
%{_includedir}/eigen2
%{_datadir}/pkgconfig/eigen2.pc


%files doc
%doc %{_target_platform}/doc/html


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.0.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 17 2016 Sandro Mani <manisandro@gmail.com> - 1:2.0.17-9
- Add missing epoch in requires/provides
- Update FTBFS patch to also fix invalid attribute syntax error

* Sun Dec 11 2016 Sandro Mani <manisandro@gmail.com> - 1:2.0.17-8
- Revive package to keep avogadro alive

* Tue Jun 24 2014 Rex Dieter <rdieter@fedoraproject.org> 1:2.0.17-7
- BR: sparsehash-devel SuperLU-devel, .spec cleanup

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.0.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.0.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.0.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 17 2012 Rex Dieter <rdieter@fedoraproject.org> 2.0.17-2
- Documentation in eigen2-devel is not generated correctly (#813205)

* Fri Jan 13 2012 Rex Dieter <rdieter@fedoraproject.org> 2.0.17-1
- 2.0.17

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 18 2011 Rex Dieter <rdieter@fedoraproject.org> 1:2.0.16-1
- 2.0.16

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 Rex Dieter <rdieter@fedoraproject.org> 1:2.0.15-1
- eigen-2.0.15

* Wed Jun 23 2010 Rex Dieter <rdieter@fedoraproject.org> 1:2.0.14-1
- eigen-2.0.14

* Tue Mar 23 2010 Rex Dieter <rdieter@fedoraproject.org> 1:2.0.12-1
- eigen-2.0.12

* Wed Jan 20 2010 Rex Dieter <rdieter@fedoraproject.org> 1:2.0.11-1
- eigen-2.0.11

* Mon Dec 14 2009 Rex Dieter <rdieter@fedoraproject.org> 1:2.0.10-1
- eigen-2.0.10
- Provides: eigen2-static

* Tue Oct 20 2009 Rex Dieter <rdieter@fedoraproject.org> 1:2.0.6-1
- eigen-2.0.6

* Mon Jun 22 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.3-1
- eigen-2.0.3

* Tue May 19 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.1-1.1
- disable build tests (temporarily) to bootstrap secondary archs (s309)

* Wed Apr 15 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0.1-1
- eigen-2.0.1

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 02 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0-1
- eigen-2.0.0 (final)

* Wed Jan 28 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.10.rc1
- eigen-2.0-rc1

* Thu Jan 22 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.9.beta6
- eigen-2.0-beta6

* Fri Jan 09 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.8.20090109svn
- eigen2-20090109svn snapshot

* Tue Jan 06 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.7.beta5
- eigen-2.0-beta5

* Sun Jan 04 2009 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.6.beta4
- eigen-2.0-beta4

* Mon Dec 08 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.5.beta2
- eigen-2.0-beta2
- (re)enable buildtime test

* Mon Sep 22 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.4.beta1
- eigen-2.0-beta1

* Mon Aug 25 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.3.alpha7
- disable buildtime tests, which tickle gcc bugs

* Fri Aug 22 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.2.alpha7
- add working %%check

* Wed Aug 20 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.1.alpha7
- eigen-2.0-alpha7
